<?php
// error_reporting(0);
error_reporting(E_ALL);
// print_r(phpinfo());
date_default_timezone_set('America/Santiago');

define('base', 'http://'.$_SERVER['HTTP_HOST'].str_replace(basename($_SERVER['PHP_SELF']),'',$_SERVER['PHP_SELF']),true);

define('DB_DRIVER','mysql');
define('DB_SERVER','');

// define('DB_USER','root');
// define('DB_PASS','');
// define('DB_NAME','siste');
define('DB_USER','websizec');
define('DB_PASS','v0E26n7suZ');
define('DB_NAME','websizec_siste');

define('DB_DEBUG',false);

require_once(dirname(__FILE__).'/php-siste/function.php');

$detect = new Mobile_Detect();
if($detect->isAndroidOS()):
	if(isset($_GET['pagina']) && isset($_GET['accion']) && isset($_GET['parametro'])):
		$pagina = $_GET['pagina'];
		$_GET['parametro'] = str_replace(array('/'.$_GET['accion'],$_GET['accion']),'',$_GET['parametro']);
		$_GET['accion'] = str_replace('/','',$_GET['accion']);
		switch($pagina){
			case 'directorio':
			case 'usuario':
			case 'vehiculo':
			case 'estacionamiento':
			case 'cliente':
				JSON::content($pagina);
				break;
			default:
				echo JSON::array2json(array('error' => 'Error del servidor: 404.'));
				break;
		}
	else:
		echo JSON::array2json(array('error' => 'Error del servidor: 500.'));
	endif;
else:
	?>
	<!doctype html>
	<html>
		<head></head>
		<body style="background-color:#E1E1E1;">
			<div style="width:500px;margin:0 auto;padding:20px;">
				<span style="font-size:25px;color:#E20526;font-family:tahoma;">
					<span style="font-weight:bold;">No tiene permiso</span> para entrar a este sitio...
				</span>
			</div>
		</body>
	</html>
	<?php
endif;
?>